name: require-run-as-non-root
policies:
  -  ../../../policies/require-run-as-non-root.yaml
resources:
  - bad-resource.yaml
  - good-resource.yaml
results:
  - policy: require-run-as-non-root
    rule: run-as-non-root
    kind: Pod
    resource: require-run-as-non-root-good-1
    status: pass
  - policy: require-run-as-non-root
    rule: run-as-non-root
    kind: Pod
    resource: require-run-as-non-root-bad-1
    status: fail
  - policy: require-run-as-non-root
    rule: run-as-non-root
    kind: Pod
    resource: require-run-as-non-root-bad-2
    status: fail
  - policy: require-run-as-non-root
    rule: run-as-non-root
    kind: Pod
    resource: require-run-as-non-root-bad-3
    status: fail
